Subject: bug#29192: closed (Re: bug#29192: 26.0.90; flymake-warning's default color might be inappropriate)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Aug 2020 23:50:02 +0000

Your bug report

#29192: 26.0.90; flymake-warning's default color might be inappropriate

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29192: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29192
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29192: 26.0.90; flymake-warning's default color might be inappropriate
From: Stefan Kangas <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Aug 2020 16:48:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Dmitry Gutov <[email-masked]> writes:

> Thank you for the response, but I have warmed up to this new color in the years
> since the change was made. Maybe not very indicative of being a warning, it is
> nevertheless more noticeable than DarkOrange.
>
> Which is a nice property to have.
>
> If you really like the suggestion, I welcome you to play with the
> color change a little. Otherwise, we can just close this.

That sounds good to me so I'll just close this.  Thanks!

Best regards,
Stefan Kangas

Subject: 26.0.90; flymake-warning's default color might be inappropriate
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Tue, 7 Nov 2017 16:49:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've never seen this discussed, and this might be a subjective opinion.

But AFAICT, the flymake-warnline face, previously, used DarkOrange (now
it's an obsolete alias). Flycheck also uses this color for warnings.

Flymake's own fringe indicators (for warning) also use an orange color
by default, inheriting it from the `warning' face through
`compilation-warning'.

So I think that flymake-warning should use it as well.

The current blue is pretty and all, but it conveys an optimistic mood,
not something I would associate with a warning.

+++

In GNU Emacs 26.0.90 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
  of 2017-11-07 built on zappa
Repository revision: ca2d94ba61dee678f85bfc7299d167e7219e6d8f
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04